## org.eclipse.emf.ecoretools.tabbedproperties.providers
Class AbstractSectionLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecoretools.tabbedproperties.providers.AbstractSectionLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public abstract class AbstractSectionLabelProvider

extends org.eclipse.jface.viewers.LabelProvider

An abstract labelProvider that is associated with the PropertyContributor of a TabbedPropertiesView. Creation 2 oct. 06

Constructor Summary
`AbstractSectionLabelProvider()`

Method Summary
`protected abstract org.eclipse.jface.viewers.ILabelProvider` `getAdapterFactoryLabelProvider()` Construct a new label provider factory if it is not null
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### AbstractSectionLabelProvider

    public AbstractSectionLabelProvider()

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### getAdapterFactoryLabelProvider

    protected abstract org.eclipse.jface.viewers.ILabelProvider getAdapterFactoryLabelProvider()

  Construct a new label provider factory if it is not null

  Returns:
    the AdapterFactoryLabelProvider

Copyright 2007 Anyware Technologies. All Rights Reserved.